API reference · Types
MarketplaceError
Part of the error responses of 37 operations.
Type: object
Example
{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string"
}
}Fields
successboolean requiredWhether the operation completed as requested.
Constraints: allowed values:
falseerrorobject requiredError details for a failed request.
Show child fieldsHide child fields
error.string requiredcode Stable public error code the platform can branch on.
Constraints: allowed values:
UNAUTHORIZED,INVALID_REQUEST,UNSUPPORTED_API_VERSION,IDEMPOTENCY_KEY_REQUIRED,IDEMPOTENCY_CONFLICT,REQUEST_IN_PROGRESS,STALE_SNAPSHOT,SELLER_SOURCE_EXCLUSIVE,SUBSCRIPTION_EXCLUDES_ORDERS,BATCH_TOO_LARGE,RATE_LIMITED,ORDER_NOT_FOUND,CANCELLATION_REQUEST_NOT_FOUND,REQUEST_ALREADY_OPEN,CANCELLATION_REQUEST_LIMIT_REACHED,CANCELLATION_NOT_ALLOWED,INVALID_TRANSITION,ORDER_LINE_AMBIGUOUS,ORDER_ADDITION_PAYMENT_IN_FLIGHT,TEST_PURCHASE_NOT_AVAILABLE,TEST_PURCHASE_NOT_FOUND,TEST_PURCHASE_LIMIT_EXCEEDED,TEST_LISTING_NOT_BROWSABLE,INSUFFICIENT_STOCK,SHIPPING_OPTION_INVALID,CORRECTION_NOT_ALLOWED,CORRECTION_CHANGES_DELIVERY_REGION,CORRECTION_UNCHANGED,ADDRESS_VERIFICATION_NOT_RETRYABLE,ADDRESS_VERIFICATION_RETRY_TOO_SOON,ORDER_CHANGE_REQUEST_NOT_FOUND,ORDER_CHANGE_REQUEST_NOT_PENDING,ORDER_CHANGE_REQUEST_NOT_ALLOWED,WEBHOOK_ENDPOINT_NOT_REGISTERED,ORDER_ADDITION_NOT_ELIGIBLE,ORDER_ADDITION_SKU_UNKNOWN,ORDER_ADDITION_REQUEST_NOT_FOUND,ORDER_ADDITION_REQUEST_NOT_PENDING,ORDER_ADDITION_OFFER_NOT_FOUND,ORDER_ADDITION_OFFER_NOT_SENT,ORDER_ADDITION_OFFER_NOT_OUTSTANDING,ORDER_ADDITION_OFFER_ALREADY_OUTSTANDING,ORDER_ADDITION_OFFER_LISTING_MISSING,ORDER_ADDITION_OFFER_PRICE_ABOVE_LISTING,ORDER_ADDITION_OFFER_PRICE_CHANGED,ORDER_ADDITION_OFFER_INSUFFICIENT_STOCK,ORDER_ADDITION_OFFER_SHIPPING_CAPACITY,ORDER_ADDITION_OFFER_SHIPPING_OPTION_INVALID,ORDER_ADDITION_OFFER_SHIPPING_NOT_REQUIRED,ORDER_ADDITION_OFFER_SHIPPING_DOWNGRADE,ORDER_ADDITION_OFFER_SHIPPING_UNSTATED,ORDER_ADDITION_OFFER_SHIPPING_CHANGED,ORDER_ADDITION_OFFER_BELOW_MINIMUM,ORDER_ADDITION_OFFER_TAX_UNRESOLVED,ORDER_CHANGE_REQUEST_ALREADY_PENDING,SUPPORT_CASE_CLOSED,SUPPORT_CASE_WINDOW_CLOSEDerror.string requiredmessage A human-readable explanation of the result.
error.unknowndetails Additional details to help diagnose the result.
Used by
GET /me- Get store status (error)PATCH /me- Set vacation mode (error)GET /listings- Export listings (error)POST /listings- Upsert listings (error)DELETE /listings- Soft-delete listings (error)POST /listings/purge- Purge all listings (error)POST /listings/bulk- Bulk upsert/delete listings (error)GET /orders- Poll orders (error)GET /orders/{orderId}- Get one order (error)PATCH /orders/{orderId}/fulfillment- Update fulfillment (error)POST /orders/{orderId}/cancel- Cancel an order (error)POST /orders/{orderId}/refunds- Create a refund (error)GET /orders/{orderId}/cancellation-requests- List an order's cancellation requests (error)POST /orders/{orderId}/cancellation-requests/{requestId}/decline- Decline a cancellation request (error)GET /orders/{orderId}/change-requests- List an order's change requests (error)POST /orders/{orderId}/change-requests- File a fulfillment report (error)POST /orders/{orderId}/change-requests/{requestId}/accept- Accept a change request (error)POST /orders/{orderId}/change-requests/{requestId}/decline- Decline a change request (error)POST /webhooks/test- Send a test event to your webhook endpoint (error)GET /orders/{orderId}/addition-requests- List an order's add-on requests (not yet available) (error)POST /orders/{orderId}/addition-requests/{requestRef}/decline- Decline an add-on request (not yet available) (error)GET /orders/{orderId}/addition-offers- List an order's add-on offers (not yet available) (error)POST /orders/{orderId}/addition-offers- Send or replace an add-on offer (not yet available) (error)POST /orders/{orderId}/addition-offers/{offerRef}/withdraw- Withdraw an add-on offer (not yet available) (error)GET /shipping-options- List the seller's shipping options (error)GET /orders/{orderId}/substitute-candidates- List substitutes for an order line (error)POST /orders/{orderId}/change-requests/{requestId}/withdraw- Withdraw a fulfillment report (error)POST /sandbox/test-purchases- Trigger a sandbox test purchase (error)GET /sandbox/test-purchases/{ref}- Read a sandbox test purchase (error)POST /sandbox/orders/{orderId}/cancellation-requests- Have the sandbox buyer ask to cancel an order (error)POST /sandbox/orders/{orderId}/change-requests- Have the sandbox buyer ask for a change (error)POST /sandbox/orders/{orderId}/change-requests/{requestId}/answer- Have the sandbox buyer answer a fulfillment report (error)POST /orders/{orderId}/corrections- Correct the ship-to address (error)POST /orders/{orderId}/address-verification/retry- Retry address verification (error)GET /search- Search products (error)GET /products/{productId}- Get product offers (error)POST /lines/lookup- Look up cart lines (error)